LuaClosure
Misc.
LuaClosure
PHP Manual

# LuaClosure::__invoke

invoke luaclosure

### Description

public void LuaClosure::__invoke ( mixed `$arg` [, mixed `$...` ] )

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`arg`

`...`

### Return Values

### Examples

Example #1 LuaClosure::__invokeexample

`<?php
$lua = new Lua();
$closure = $lua->eval(<<<CODE
return (function ()
print("hello world")
end)
CODE
);
$lua->call($closure);
/* after PHP 5.3 */
$closure();
?>`

The above example will output:

    hello worldhello world